Bug 1032703 - Syntax error in $CLI_HOME/samples/modules/jbossas.js
Syntax error in $CLI_HOME/samples/modules/jbossas.js
Status: CLOSED CURRENTRELEASE
Product: JBoss Operations Network
Classification: JBoss
Component: CLI (Show other bugs)
JON 3.2
Unspecified Unspecified
unspecified Severity unspecified
: ER07
: JON 3.2.0
Assigned To: Simeon Pinder
Mike Foley
:
Depends On: 1030958
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-20 10:32 EST by Simeon Pinder
Modified: 2014-01-02 15:42 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 1030958
Environment:
Last Closed: 2014-01-02 15:42:56 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simeon Pinder 2013-11-20 10:32:00 EST
+++ This bug was initially created as a clone of Bug #1030958 +++

Description of problem:

The sample module jbossas.js contains a syntax error that prevents it from being directly used.

Version-Release number of selected component (if applicable):
4.10.0-SNAPSHOT

How reproducible:
always

Steps to Reproduce:
1. In CLI, do:
var jbossas = require("modules:/jbossas");

Actual results:
org.mozilla.javascript.EvaluatorException: missing ; before statement (modules:/jbossas#332) in modules:/jbossas at line number 332

Expected results:
the module loads fine

Additional info:

--- Additional comment from Lukas Krejci on 2013-11-15 07:31:02 EST ---

commit a1c65b317d66a05a49befeff95fcc931b785fa9d
Author: Lukas Krejci <lkrejci@redhat.com>
Date:   Fri Nov 15 13:29:44 2013 +0100

    [BZ 1030958] - Fixing a syntax error in $CLI/samples/modules/jbossas.js
Comment 1 Simeon Pinder 2013-11-20 10:39:05 EST
Lukas already cherry-picked to release branch with commit : 96834ae58c50b0dab

Moving to MODIFIED and for testing in ER7.
Comment 2 Simeon Pinder 2013-11-22 00:01:41 EST
Moving to ON_QA as available to test in ER7 and later brew builds.

Note You need to log in before you can comment on or make changes to this bug.